Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class ClassInfo

    java.lang.Object
      org.codehaus.groovy.util.ManagedReference
          org.codehaus.groovy.util.ManagedConcurrentMap$Entry
              org.codehaus.groovy.reflection.ClassInfo

    class ClassInfo
    extends ManagedConcurrentMap$Entry

Handle for all information we want to keep about the class

author:
  Alex.Tkachman

Nested Class Summary
`class` | `ClassInfo.ClassInfoSet`
`class` | `ClassInfo.DebugRef`
`class` | `ClassInfo.LazyCachedClassRef`
`class` | `ClassInfo.LazyClassLoaderRef`
`class` | `ClassInfo.LocalMap`
`class` | `ClassInfo.ThreadLocalMapHandler`

Field Summary
`MetaMethod[]` | `dgmMetaMethods`
`int` | `hash`
`MetaMethod[]` | `newMetaMethods`

Constructor Summary
`ClassInfo(def segment, Class klazz, int hash)`

Method Summary
`static void` | `clearModifiedExpandos()`
`void` | `finalizeRef()`
`static int` | `fullSize()`
`ClassLoaderForClassArtifacts` | `getArtifactClassLoader()`
`CachedClass` | `getCachedClass()`
`static ClassInfo` | `getClassInfo(Class cls)`
`MetaClass` | `getMetaClass()`
`MetaClass` | `getMetaClass(Object obj)`
`MetaClass` | `getMetaClassForClass()`
`ExpandoMetaClass` | `getModifiedExpando()`
`MetaClass` | `getPerInstanceMetaClass(Object obj)`
`MetaClass` | `getStrongMetaClass()`
`int` | `getVersion()`
`MetaClass` | `getWeakMetaClass()`
`boolean` | `hasPerInstanceMetaClasses()`
`void` | `incVersion()`
`void` | `lock()`
`void` | `setPerInstanceMetaClass(Object obj, MetaClass metaClass)`
`void` | `setStrongMetaClass(MetaClass answer)`
`void` | `setWeakMetaClass(MetaClass answer)`
`static int` | `size()`
`void` | `unlock()`

Methods inherited from class ManagedConcurrentMap$Entry
getValue, setValue, isValid, isEqual, finalizeRef, getHash, get, clear, finalizeReference, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class ManagedReference
get, clear, finalizeReference, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### dgmMetaMethods

    MetaMethod[] dgmMetaMethods

### hash

    final int hash

### newMetaMethods

    MetaMethod[] newMetaMethods

Constructor Detail

### ClassInfo

    public ClassInfo(def segment, Class klazz, int hash)

Method Detail

### clearModifiedExpandos

    public static void clearModifiedExpandos()

### finalizeRef

    public void finalizeRef()

### fullSize

    public static int fullSize()

### getArtifactClassLoader

    public ClassLoaderForClassArtifacts getArtifactClassLoader()

### getCachedClass

    public CachedClass getCachedClass()

### getClassInfo

    public static ClassInfo getClassInfo(Class cls)

### getMetaClass

    public final MetaClass getMetaClass()

### getMetaClass

    public MetaClass getMetaClass(Object obj)

### getMetaClassForClass

    public MetaClass getMetaClassForClass()

### getModifiedExpando

    public ExpandoMetaClass getModifiedExpando()

### getPerInstanceMetaClass

    public MetaClass getPerInstanceMetaClass(Object obj)

### getStrongMetaClass

    public MetaClass getStrongMetaClass()

### getVersion

    public int getVersion()

### getWeakMetaClass

    public MetaClass getWeakMetaClass()

### hasPerInstanceMetaClasses

    public boolean hasPerInstanceMetaClasses()

### incVersion

    public void incVersion()

### lock

    public void lock()

### setPerInstanceMetaClass

    public void setPerInstanceMetaClass(Object obj, MetaClass metaClass)

### setStrongMetaClass

    public void setStrongMetaClass(MetaClass answer)

### setWeakMetaClass

    public void setWeakMetaClass(MetaClass answer)

### size

    public static int size()

### unlock

    public void unlock()

Copyright © 2003-2009 The Codehaus. All rights reserved.